package com.zt.plat.module.base.service.tmpltp;

import java.util.*;

import com.zt.plat.module.base.dal.dataobject.tmpltp.TmplInscDatBsnDO;
import jakarta.validation.*;
import com.zt.plat.module.base.controller.admin.templtp.vo.*;

import com.zt.plat.framework.common.pojo.PageResult;
import com.zt.plat.framework.common.pojo.PageParam;
import jakarta.validation.constraints.NotEmpty;

/**
 * 业务实例字段值 Service 接口
 *
 * @author 后台管理-1
 */
public interface TmplInscDatBsnService {

    /**
     * 创建业务实例字段值
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    TmplInscDatBsnRespVO createTmplInscDatBsn(@Valid TmplInscDatBsnSaveReqVO createReqVO);
    /**
     * 更新业务实例字段值
     *
     * @param updateReqVO 更新信息
     */
    void updateTmplInscDatBsn(@Valid TmplInscDatBsnSaveReqVO updateReqVO);
    void updateTmplInscDatBsnBatch(@Valid List<TmplInscDatBsnSaveReqVO> updateReqVOS);

    /**
     * 删除业务实例字段值
     *
     * @param id 编号
     */
    void deleteTmplInscDatBsn(String id);

    /**
    * 批量删除业务实例字段值
    *
    * @param ids 编号
    */
    void deleteTmplInscDatBsnListByIds(List<String> ids);

    /**
     * 获得业务实例字段值
     *
     * @param id 编号
     * @return 业务实例字段值
     */
    TmplInscDatBsnDO getTmplInscDatBsn(String id);

    /**
     * 获得业务实例字段值分页
     *
     * @param pageReqVO 分页查询
     * @return 业务实例字段值分页
     */
    PageResult<TmplInscDatBsnDO> getTmplInscDatBsnPage(TmplInscDatBsnPageReqVO pageReqVO);

    /**
     * 通过业务id删除业务字段
     *
     * @param ids 业务id
     *
     */
    void deleteTmplInscDatBsnListByBsnIds(@Valid @NotEmpty(message = "业务编号不能为空") List<String> ids);
    /**
     * 通过业务id查询业务字段
     *
     * @param id 业务id
     *
     */
    List<TmplInscDatBsnRespVO> getTmplInscDatBsnListByBsnId(@Valid @NotEmpty(message = "业务编号不能为空") String id);

}
